Skip to main content
GET
Realized Volatility Windows

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

ticker
string
required

A single ticker

Example:

"AAPL"

Query Parameters

date
string

A trading date in the format of YYYY-MM-DD. This is optional and by default the last trading date.

Example:

"2024-01-18T00:00:00.000Z"

history_days
integer
default:365

Return volatility window rows from this many calendar days before the requested date.

Required range: 1 <= x <= 365
Example:

30

Response

A realized volatility value calculated over a fixed number of trading days.

date
string<date>
Example:

"2026-09-08T00:00:00.000Z"

days
integer
Example:

21

realized_volatility
string
Example:

"0.213456"

start_date
string<date>
Example:

"2026-08-10T00:00:00.000Z"

ticker
string
Example:

"AAPL"

Last modified on September 29, 2026